<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<!--
    Copyright (c) 2017 Dortmund University of Applied Sciences and Arts and others.
    All rights reserved. This program and the accompanying materials
    are made available under the terms of the Eclipse Public License 2.0
    which accompanies this distribution, and is available at
    https://www.eclipse.org/legal/epl-2.0/
     
    Contributors:
       Dortmund University of Applied Sciences and Arts - initial API and implementation
 -->

<plugin>

   <extension
         point="org.eclipse.ui.commands">
      <category
            name="Simulation Category"
            id="org.eclipse.app4mc.amalthea.simview.commands.category">
      </category>
      <command
            name="Configure Simulation"
            categoryId="org.eclipse.app4mc.amalthea.simview.commands.category"
            id="org.eclipse.app4mc.multicore.executuion.simview.commands.configureSimCommand">
      </command>
   </extension>
   <extension
         point="org.eclipse.ui.handlers">
      <handler
            commandId="org.eclipse.app4mc.multicore.executuion.simview.commands.configureSimCommand"
            class="org.eclipse.app4mc.multicore.execution.ui.simmenu.handlers.SimMenuHandler">
      </handler>
   </extension>
   <extension
         point="org.eclipse.ui.menus">      
      <menuContribution
      		allPopups="false"
            locationURI="popup:org.eclipse.ui.popup.any?after=additions">
      		<command
                  commandId="org.eclipse.app4mc.multicore.executuion.simview.commands.configureSimCommand"
                  label="APP4MC Task Visualizer"
                  id="org.eclipse.app4mc.amalthea.simview.popups.visualizetasks"
                  style="push">
                  
		            <visibleWhen
		                  checkEnabled="false">
		               <with
		                     variable="activeMenuSelection">
		                  <iterate
		                        ifEmpty="false">
		                     <instanceof
		                           value="org.eclipse.core.resources.IResource">
		                     </instanceof>
                       <test
                             property="org.eclipse.core.resources.extension"
                             value="amxmi">
                       </test>
		                  </iterate>
		               </with>
		            </visibleWhen>
            </command>
      </menuContribution>
   </extension>

</plugin>
